fix coverage script from masking unit test failures (#265)

* add 'set -e' line to fail on error

* create Unmarshal method for DefaultSecRule

* fix portsbinding 'update' unit test

* go fmt

* remove line from debugging
diff --git a/script/coverage b/script/coverage
index ab3a4f3..3efa81b 100755
--- a/script/coverage
+++ b/script/coverage
@@ -1,4 +1,7 @@
 #!/bin/bash
+
+set -e
+
 n=1
 for testpkg in $(go list ./testing ./.../testing); do
   covpkg="${testpkg/"/testing"/}"